# AtkGObjectAccessible

## Name

AtkGObjectAccessible -- This object class is derived from AtkObject and can be used as a basis implementing accessible objects.

## Synopsis

    struct      AtkGObjectAccessible;
    AtkObject*  atk_gobject_accessible_for_object
                                                (GObject *obj);
    GObject*    atk_gobject_accessible_get_object
                                                (AtkGObjectAccessible *obj);

## Object Hierarchy

      GObject
       +----AtkObject
             +----AtkGObjectAccessible

## Description

This object class is derived from AtkObject. It can be used as a basis for implementing accessible objects for GObjects which are not derived from GtkWidget. One example of its use is in providing an accessible object for GnomeCanvasItem in the GAIL library.

## Details

### struct AtkGObjectAccessible

    struct AtkGObjectAccessible;

The AtkGObjectAccessible structure should not be accessed directly.

### atk_gobject_accessible_for_object ()

    AtkObject*  atk_gobject_accessible_for_object
                                                (GObject *obj);

Gets the accessible object for the specified `obj`.

`obj` :

  a GObject

Returns :

  a AtkObject which is the accessible object for the `obj`

### atk_gobject_accessible_get_object ()

    GObject*    atk_gobject_accessible_get_object
                                                (AtkGObjectAccessible *obj);

Gets the GObject for which `obj` is the accessible object.

`obj` :

  a AtkObject

Returns :

  a GObject which is the object for which `obj` is the accessible objedct